# İptal

## İptal

<mark style="color:green;">`POST`</mark> `https://api.manikod.com/v1/void`

Yapılan satışın iptal edilebilmesi için banka tarafında finansallaştırılmamış olması gerekir. İşlem ile aynı gün içerisinde iptal gerçekleştirebilirsiniz. Bu durumda müşteri ekstresinde işlem görünmeyecektir. Daha sonraki günlerde sadece tam iade veya kısmi iade işlemleri yapabilirsiniz. Bu durumda müşteri ekstresinde hem yapılan işlem hem de iade tutarları görünür.&#x20;

#### Headers

| Name           | Type   | Description                                                                  |
| -------------- | ------ | ---------------------------------------------------------------------------- |
| Authentication | string | Kimlik denetimi başlığıdır. Detaylar için kimlik denetimi sayfasına bakınız. |

#### Request Body

| Name        | Type    | Description                                                               |
| ----------- | ------- | ------------------------------------------------------------------------- |
| sale\_id    | integer | Manikod tarafından işlem sonrasında iletilen benzersiz işlem numarasıdır. |
| description | string  | İptale ilişkin açıklama                                                   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "status" : "success"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "status": "error",
    "message": "Belirtilen işlem bulunamadı"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.manikod.com/services/api/void.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
